xpra icon
Bug tracker and wiki

Opened 7 years ago

Closed 7 years ago

Last modified 7 years ago

#244 closed defect (invalid)

0.8.1: "segmentation fault" on connect

Reported by: onlyjob Owned by: Antoine Martin
Priority: blocker Milestone: 0.8
Component: core Version: trunk
Keywords: Cc:

Description

xpra-0.8.1 client can't attach to any sessions -- it crashes with error "Segmentation fault" immediately after printing "Attached to...".

Using client 0.7.8 I can connect to session started with 0.8.1 but 0.8.1 is unable to connect neither to 0.7.8 nor to 0.8.1.

Here is the client-side log (-d all):

2013-02-04 09:44:29,228 ping echo server load=(5280, 4980, 4710), measured client latency=18ms
2013-02-04 09:44:29,272 window types=('_NET_WM_WINDOW_TYPE_NORMAL',)
2013-02-04 09:44:29,490 window types=('_NET_WM_WINDOW_TYPE_NORMAL',)
2013-02-04 09:44:30,034 new cursor at 5,0 with serial=15, dimensions: 24x24, len(pixels)=2304
2013-02-04 09:44:30,035 new cursor at 7,7 with serial=1, dimensions: 16x16, len(pixels)=1024
2013-02-04 09:44:30,037 Got configure event: <gtk.gdk.Event at 0x3074508: GDK_CONFIGURE x=41, y=92, width=1280, height=737>
2013-02-04 09:44:30,345 xget_u32_property(<gtk.gdk.Window object at 0x300dbe0 (GdkWindow at 0x2dd8360)>, _NET_WM_DESKTOP)=0
2013-02-04 09:44:30,357 Got map event: <gtk.gdk.Event at 0x3074508: GDK_MAP>
2013-02-04 09:44:30,357 set_workspace() workspace=0
2013-02-04 09:44:30,407 xget_u32_property(<gtk.gdk.Window object at 0x302b6e0 (GdkWindow at 0x2dd8360)>, _NET_WM_DESKTOP)=0
2013-02-04 09:44:30,416 _focus_change((<ClientWindow object at 0x302b690 (xpra+client_window+ClientWindow at 0x30d10a0)>, <GParamBoolean 'has-toplevel-focus'>))
2013-02-04 09:44:30,416 update_focus(1,True) _focused=None
2013-02-04 09:44:30,417 Got configure event: <gtk.gdk.Event at 0x3074508: GDK_CONFIGURE x=41, y=92, width=1280, height=737>
2013-02-04 09:44:30,418 xget_u32_property(<gtk.gdk.Window object at 0x302b6e0 (GdkWindow at 0x2dd8360)>, _NET_WM_DESKTOP)=0
2013-02-04 09:44:30,419 Got configure event: <gtk.gdk.Event at 0x3074508: GDK_CONFIGURE x=41, y=92, width=1194, height=531>
2013-02-04 09:44:30,420 xget_u32_property(<gtk.gdk.Window object at 0x302b6e0 (GdkWindow at 0x2dd8480)>, _NET_WM_DESKTOP)=0
2013-02-04 09:44:30,428 Got map event: <gtk.gdk.Event at 0x3074508: GDK_MAP>
2013-02-04 09:44:30,428 set_workspace() workspace=0
2013-02-04 09:44:30,707 xget_u32_property(<gtk.gdk.Window object at 0x302baf0 (GdkWindow at 0x2dd8480)>, _NET_WM_DESKTOP)=0
Segmentation fault

Attachments (1)

xpra-fix-new-libav.patch (2.1 KB) - added by onlyjob 7 years ago.

Download all attachments as: .zip

Change History (18)

comment:1 Changed 7 years ago by onlyjob

Client 0.7.8 is crashing when I change encoding to x264 when connected to server 0.8.1 using client 0.7.8:

xpra client version 0.7.8                                                                                                                                                       
2013-02-04 09:49:30,587 Attached to ssh:debstor:10 (press Control-C to detach)                                                                                                  

*** glibc detected *** /usr/bin/python: free(): invalid pointer: 0x0000000003451200 ***                                                                                         
======= Backtrace: =========                                                                                                                                                    
/lib/x86_64-linux-gnu/libc.so.6(+0x76d76)[0x7f77f0a50d76]                                                                                                                       
/lib/x86_64-linux-gnu/libc.so.6(cfree+0x6c)[0x7f77f0a55aac]                                                                                                                     
/usr/lib/x86_64-linux-gnu/libavutil.so.52(av_freep+0xc)[0x7f77ed2aa9ac]                                                                                                         
/usr/lib/x86_64-linux-gnu/libavcodec.so.54(avcodec_get_frame_defaults+0x13)[0x7f77ec2afd93]                                                                                     
/usr/lib/python2.7/dist-packages/xpra/x264/codec.so(decompress_image+0x61)[0x7f77ed095731]                                                                                      
/usr/lib/python2.7/dist-packages/xpra/x264/codec.so(+0x5faa)[0x7f77ed091faa]                                                                                                    
/usr/bin/python(PyEval_EvalFrameEx+0x2de)[0x4ac5ce]                                                                                                                             
/usr/bin/python(PyEval_EvalFrameEx+0xaf0)[0x4acde0]                                                                                                                             
======= Memory map: ========                                                                                                                                                    
00400000-00658000 r-xp 00000000 09:00 3284655                            /usr/bin/python2.7                                                                                     
00857000-00858000 r--p 00257000 09:00 3284655                            /usr/bin/python2.7                                                                                     
00858000-008c1000 rw-p 00258000 09:00 3284655                            /usr/bin/python2.7                                                                                     
008c1000-008d3000 rw-p 00000000 00:00 0                                                                                                                                         
028ab000-0369e000 rw-p 00000000 00:00 0                                  [heap]                                                                                                 
7f77d0000000-7f77d0055000 rw-p 00000000 00:00 0                                                                                                                                 
7f77d0055000-7f77d4000000 ---p 00000000 00:00 0                                                                                                                                 
7f77d4999000-7f77d4a49000 r--p 00000000 09:00 3672770                    /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf                                                    
7f77d4a49000-7f77d4a4b000 r-xp 00000000 09:00 3948217                    /usr/lib/x86_64-linux-gnu/pango/1.6.0/modules/pango-basic-fc.so                                        
7f77d4a4b000-7f77d4c4a000 ---p 00002000 09:00 3948217                    /usr/lib/x86_64-linux-gnu/pango/1.6.0/modules/pango-basic-fc.so                                        
7f77d4c4a000-7f77d4c4b000 r--p 00001000 09:00 3948217                    /usr/lib/x86_64-linux-gnu/pango/1.6.0/modules/pango-basic-fc.so                                        
7f77d4c4b000-7f77d4c4c000 rw-p 00002000 09:00 3948217                    /usr/lib/x86_64-linux-gnu/pango/1.6.0/modules/pango-basic-fc.so                                        
7f77d4c4c000-7f77d4c4d000 r--s 00000000 09:00 2672279                    /var/cache/fontconfig/c05880de57d1f5e948fdfacc138775d9-le64.cache-3                                    
7f77d4c4d000-7f77d4c56000 r--s 00000000 09:00 2621647                    /var/cache/fontconfig/945677eb7aeaf62f1d50efc3fb3ec7d8-le64.cache-3                                    
7f77d4c56000-7f77d4c59000 r--s 00000000 09:00 2672219                    /var/cache/fontconfig/99e8ed0e538f840c565b6ed5dad60d56-le64.cache-3                                    
7f77d4c59000-7f77d4c5c000 r--s 00000000 09:00 2672218                    /var/cache/fontconfig/f24b2111ab8703b4e963115a8cf14259-le64.cache-3                                    
7f77d4c5c000-7f77d4c5d000 r--s 00000000 09:00 2672133                    /var/cache/fontconfig/617957603a337376ca8784972c6029f5-le64.cache-3                                    
7f77d4c5d000-7f77d4c62000 r--s 00000000 09:00 2672114                    /var/cache/fontconfig/6eb3985aa4124903f6ff08ba781cd364-le64.cache-3                                    
7f77d4c62000-7f77d4c63000 r--s 00000000 09:00 2672113                    /var/cache/fontconfig/0cbec7fefbf586a62e8b29e50474223e-le64.cache-3                                    
7f77d4c63000-7f77d4c6c000 r--s 00000000 09:00 2672090                    /var/cache/fontconfig/6d41288fd70b0be22e8c3a91e032eec0-le64.cache-3                                    
7f77d4c6c000-7f77d4c6f000 r--s 00000000 09:00 2672054                    /var/cache/fontconfig/de156ccd2eddbdc19d37a45b8b2aac9c-le64.cache-3                                    
7f77d4c6f000-7f77d4c70000 r--s 00000000 09:00 2672050                    /var/cache/fontconfig/9451a55048e8dbe8633e64d34165fdf2-le64.cache-3                                    
7f77d4c70000-7f77d4c72000 r--s 00000000 09:00 2672017                    /var/cache/fontconfig/ddd4086aec35a5275babba44bb759c3c-le64.cache-3                                    
7f77d4c72000-7f77d4c73000 r--s 00000000 09:00 2672011                    /var/cache/fontconfig/4794a0821666d79190d59a36cb4f44b5-le64.cache-3                                    
7f77d4c73000-7f77d4ca1000 r--s 00000000 09:00 2621928                    /var/cache/fontconfig/365b55f210c0a22e9a19e35191240f32-le64.cache-3                                    
7f77d4ca1000-7f77d4ca4000 r--s 00000000 09:00 2672009                    /var/cache/fontconfig/c57959a16110560c8d0fcea73374aeeb-le64.cache-3                                    
7f77d4ca4000-7f77d4ca9000 r--s 00000000 09:00 2672008                    /var/cache/fontconfig/3047814df9a2f067bd2d96a2b9c36e5a-le64.cache-3                                    
7f77d4ca9000-7f77d4cab000 r--s 00000000 09:00 2672007                    /var/cache/fontconfig/de9486f0b47a4d768a594cb4198cb1c6-le64.cache-3                                    
7f77d4cab000-7f77d4caf000 r--s 00000000 09:00 2672006                    /var/cache/fontconfig/d512a7b9f4305a5cce37c9b1a598863a-le64.cache-3                                    
7f77d4caf000-7f77d4cb2000 r--s 00000000 09:00 2672005                    /var/cache/fontconfig/e49e89034d371f0f9de17aab02136486-le64.cache-3                                    
7f77d4cb2000-7f77d4cb4000 r--s 00000000 09:00 2672004                    /var/cache/fontconfig/4b14b093aebc79c320de5e86ae1d3314-le64.cache-3                                    
7f77d4cb4000-7f77d4cc5000 r--s 00000000 09:00 2672003                    /var/cache/fontconfig/d52a8644073d54c13679302ca1180695-le64.cache-3                                    
7f77d4cc5000-7f77d4ccb000 r--s 00000000 09:00 2672002                    /var/cache/fontconfig/105b9c7e6f0a4f82d8c9b6e39c52c6f9-le64.cache-3                                    
7f77d4ccb000-7f77d4cd2000 r--s 00000000 09:00 2667316                    /var/cache/fontconfig/3f7329c5293ffd510edef78f73874cfd-le64.cache-3                                    
7f77d4cd2000-7f77d4cdc000 r--s 00000000 09:00 2626257                    /var/cache/fontconfig/83bf95040141907cd45bb53cf7c1c148-le64.cache-3                                    
7f77d4cdc000-7f77d4ce8000 r--s 00000000 09:00 2626256                    /var/cache/fontconfig/53d14c92082a93e67d5078324eb314ca-le64.cache-3                                    
7f77d4ce8000-7f77d4ce9000 r--s 00000000 09:00 2626254                    /var/cache/fontconfig/62f91419b9ebdb6975e7e41ab6412357-le64.cache-3                                    
7f77d4ce9000-7f77d4cea000 r--s 00000000 09:00 2621553                    /var/cache/fontconfig/3fe29f0c9fa221c8ee16555d4835b3ab-le64.cache-3                                    
7f77d4cea000-7f77d4d04000 r--s 00000000 09:00 2621517                    /var/cache/fontconfig/e13b20fdb08344e0e664864cc2ede53d-le64.cache-3                                    
7f77d4d04000-7f77d4d07000 r--s 00000000 09:00 2626259                    /var/cache/fontconfig/7ef2298fde41cc6eeb7af42e48b7d293-le64.cache-3                                    
7f77d4d07000-7f77d4d09000 r--s 00000000 09:00 2621549                    /var/cache/fontconfig/452f1fac34b224105d7acfae3034bcd5-le64.cache-3                                    
7f77d4d09000-7f77d4d69000 rw-s 00000000 00:04 292290687                  /SYSV00000000 (deleted)                                                                                
7f77d4d69000-7f77d4d6a000 ---p 00000000 00:00 0                                                                                                                                 
7f77d4d6a000-7f77d556a000 rw-p 00000000 00:00 0                          [stack:22002]                                                                                          
7f77d556a000-7f77d556b000 ---p 00000000 00:00 0                                                                                                                                 
7f77d556b000-7f77d5d6b000 rw-p 00000000 00:00 0                          [stack:22001]                                                                                          
7f77d5d6b000-7f77d5d6c000 ---p 00000000 00:00 0                                                                                                                                 
7f77d5d6c000-7f77d656c000 rw-p 00000000 00:00 0                          [stack:22000]                                                                                          
7f77d656c000-7f77d65cc000 rw-s 00000000 00:04 292257914                  /SYSV00000000 (deleted)                                                                                
7f77d65cc000-7f77de5cc000 rw-s 00000000 09:00 2884240                    /tmp/xpra.uvBn3s.mmap (deleted)                                                                        
7f77de5cc000-7f77de5d0000 r-xp 00000000 09:00 4458184                    /lib/x86_64-linux-gnu/libuuid.so.1.3.0                                                                 
7f77de5d0000-7f77de7cf000 ---p 00004000 09:00 4458184                    /lib/x86_64-linux-gnu/libuuid.so.1.3.0                                                                 
7f77de7cf000-7f77de7d0000 r--p 00003000 09:00 4458184                    /lib/x86_64-linux-gnu/libuuid.so.1.3.0                                                                 
7f77de7d0000-7f77de7d1000 rw-p 00004000 09:00 4458184                    /lib/x86_64-linux-gnu/libuuid.so.1.3.0                                                                 
7f77de80d000-7f77de80e000 rw-p 00000000 00:00 0                                                                                                                                 
7f77de80e000-7f77de813000 r-xp 00000000 09:00 3939336                    /usr/lib/python2.7/lib-dynload/mmap.so                                                                 
7f77de813000-7f77dea12000 ---p 00005000 09:00 3939336                    /usr/lib/python2.7/lib-dynload/mmap.so                                                                 
7f77dea12000-7f77dea13000 r--p 00004000 09:00 3939336                    /usr/lib/python2.7/lib-dynload/mmap.so                                                                 
7f77dea13000-7f77dea14000 rw-p 00005000 09:00 3939336                    /usr/lib/python2.7/lib-dynload/mmap.so                                                                 
7f77dea14000-7f77dea3a000 r-xp 00000000 09:00 3421960                    /usr/lib/x86_64-linux-gnu/libdbus-glib-1.so.2.2.2                                                      
7f77dea3a000-7f77dec39000 ---p 00026000 09:00 3421960                    /usr/lib/x86_64-linux-gnu/libdbus-glib-1.so.2.2.2                                                      
7f77dec39000-7f77dec3b000 rw-p 00025000 09:00 3421960                    /usr/lib/x86_64-linux-gnu/libdbus-glib-1.so.2.2.2                                                      
7f77dec3b000-7f77dec3d000 r-xp 00000000 09:00 3932258                    /usr/lib/python2.7/dist-packages/_dbus_glib_bindings.so                                                
7f77dec3d000-7f77dee3c000 ---p 00002000 09:00 3932258                    /usr/lib/python2.7/dist-packages/_dbus_glib_bindings.so                                                
7f77dee3c000-7f77dee3d000 r--p 00001000 09:00 3932258                    /usr/lib/python2.7/dist-packages/_dbus_glib_bindings.so                                                
7f77dee3d000-7f77dee3e000 rw-p 00002000 09:00 3932258                    /usr/lib/python2.7/dist-packages/_dbus_glib_bindings.so                                                
7f77dee3e000-7f77dee4d000 r-xp 00000000 09:00 3939332                    /usr/lib/python2.7/lib-dynload/pyexpat.so                                                              
7f77dee4d000-7f77df04c000 ---p 0000f000 09:00 3939332                    /usr/lib/python2.7/lib-dynload/pyexpat.so                                                              
7f77df04c000-7f77df04d000 r--p 0000e000 09:00 3939332                    /usr/lib/python2.7/lib-dynload/pyexpat.so                                                              
7f77df04d000-7f77df04f000 rw-p 0000f000 09:00 3939332                    /usr/lib/python2.7/lib-dynload/pyexpat.so                                                              
7f77df04f000-7f77df069000 r-xp 00000000 09:00 3932303                    /usr/lib/python2.7/dist-packages/_dbus_bindings.so                                                     
7f77df069000-7f77df268000 ---p 0001a000 09:00 3932303                    /usr/lib/python2.7/dist-packages/_dbus_bindings.so                                                     
7f77df268000-7f77df269000 r--p 00019000 09:00 3932303                    /usr/lib/python2.7/dist-packages/_dbus_bindings.so                                                     
7f77df269000-7f77df277000 rw-p 0001a000 09:00 3932303                    /usr/lib/python2.7/dist-packages/_dbus_bindings.so                                                     
7f77df277000-7f77df2a5000 r-xp 00000000 09:00 3428544                    /usr/lib/x86_64-linux-gnu/libbluray.so.1.1.0                                                           
7f77df2a5000-7f77df4a5000 ---p 0002e000 09:00 3428544                    /usr/lib/x86_64-linux-gnu/libbluray.so.1.1.0                                                           
7f77df4a5000-7f77df4a6000 r--p 0002e000 09:00 3428544                    /usr/lib/x86_64-linux-gnu/libbluray.so.1.1.0                                                           
7f77df4a6000-7f77df4a7000 rw-p 0002f000 09:00 3428544                    /usr/lib/x86_64-linux-gnu/libbluray.so.1.1.0                                                           
7f77df4a7000-7f77df4eb000 r-xp 00000000 09:00 4459344                    /lib/x86_64-linux-gnu/libdbus-1.so.3.7.2                                                               
7f77df4eb000-7f77df6eb000 ---p 00044000 09:00 4459344                    /lib/x86_64-linux-gnu/libdbus-1.so.3.7.2                                                               
7f77df6eb000-7f77df6ec000 r--p 00044000 09:00 4459344                    /lib/x86_64-linux-gnu/libdbus-1.so.3.7.2                                                               
7f77df6ec000-7f77df6ed000 rw-p 00045000 09:00 4459344                    /lib/x86_64-linux-gnu/libdbus-1.so.3.7.2                                                               
7f77df6ed000-7f77df705000 r-xp 00000000 09:00 3414611                    /usr/lib/x86_64-linux-gnu/gvfs/libgvfscommon.so                                                        
7f77df705000-7f77df904000 ---p 00018000 09:00 3414611                    /usr/lib/x86_64-linux-gnu/gvfs/libgvfscommon.so                                                        
7f77df904000-7f77df905000 r--p 00017000 09:00 3414611                    /usr/lib/x86_64-linux-gnu/gvfs/libgvfscommon.so                                                        
7f77df905000-7f77df906000 rw-p 00018000 09:00 3414611                    /usr/lib/x86_64-linux-gnu/gvfs/libgvfscommon.so                                                        
7f77df906000-7f77df92f000 r-xp 00000000 09:00 3411286                    /usr/lib/x86_64-linux-gnu/gio/modules/libgvfsdbus.so                                                   
7f77df92f000-7f77dfb2f000 ---p 00029000 09:00 3411286                    /usr/lib/x86_64-linux-gnu/gio/modules/libgvfsdbus.so                                                   
7f77dfb2f000-7f77dfb30000 r--p 00029000 09:00 3411286                    /usr/lib/x86_64-linux-gnu/gio/modules/libgvfsdbus.so                                                   
7f77dfb30000-7f77dfb31000 rw-p 0002a000 09:00 3411286                    /usr/lib/x86_64-linux-gnu/gio/modules/libgvfsdbus.so                                                   
7f77dfb31000-7f77dfc19000 r-xp 00000000 09:00 3407883                    /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17                                                          
7f77dfc19000-7f77dfe19000 ---p 000e8000 09:00 3407883                    /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17                                                          
7f77dfe19000-7f77dfe21000 r--p 000e8000 09:00 3407883                    /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17                                                          
7f77dfe21000-7f77dfe23000 rw-p 000f0000 09:00 3407883                    /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17                                                          
7f77dfe23000-7f77dfe38000 rw-p 00000000 00:00 0                                                                                                                                 
7f77dfe38000-7f77dff86000 r-xp 00000000 09:00 3444413                    /usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so                                      
7f77dff86000-7f77e0186000 ---p 0014e000 09:00 3444413                    /usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so                                      
7f77e0186000-7f77e018c000 r--p 0014e000 09:00 3444413                    /usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so                                      
7f77e018c000-7f77e0190000 rw-p 00154000 09:00 3444413                    /usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/liboxygen-gtk.so                                      
7f77e0190000-7f77e0191000 rw-p 00000000 00:00 0                                                                                                                                 
7f77e0191000-7f77e019c000 r-xp 00000000 09:00 4475013                    /lib/x86_64-linux-gnu/libnss_files-2.13.so                                                             
7f77e019c000-7f77e039b000 ---p 0000b000 09:00 4475013                    /lib/x86_64-linux-gnu/libnss_files-2.13.so                                                             
7f77e039b000-7f77e039c000 r--p 0000a000 09:00 4475013                    /lib/x86_64-linux-gnu/libnss_files-2.13.so                                                             
7f77e039c000-7f77e039d000 rw-p 0000b000 09:00 4475013                    /lib/x86_64-linux-gnu/libnss_files-2.13.so                                                             
7f77e039d000-7f77e03a7000 r-xp 00000000 09:00 4475005                    /lib/x86_64-linux-gnu/libnss_nis-2.13.so                                                               
7f77e03a7000-7f77e05a6000 ---p 0000a000 09:00 4475005                    /lib/x86_64-linux-gnu/libnss_nis-2.13.so                                                               
7f77e05a6000-7f77e05a7000 r--p 00009000 09:00 4475005                    /lib/x86_64-linux-gnu/libnss_nis-2.13.so                                                               
7f77e05a7000-7f77e05a8000 rw-p 0000a000 09:00 4475005                    /lib/x86_64-linux-gnu/libnss_nis-2.13.so                                                               
7f77e05a8000-7f77e05bd000 r-xp 00000000 09:00 4475001                    /lib/x86_64-linux-gnu/libnsl-2.13.so                                                                   
7f77e05bd000-7f77e07bc000 ---p 00015000 09:00 4475001                    /lib/x86_64-linux-gnu/libnsl-2.13.so                                                                   
7f77e07bc000-7f77e07bd000 r--p 00014000 09:00 4475001                    /lib/x86_64-linux-gnu/libnsl-2.13.so                                                                   
7f77e07bd000-7f77e07be000 rw-p 00015000 09:00 4475001                    /lib/x86_64-linux-gnu/libnsl-2.13.so                                                                   
7f77e07be000-7f77e07c0000 rw-p 00000000 00:00 0                                                                                                                                 
7f77e07c0000-7f77e07c7000 r-xp 00000000 09:00 4474991                    /lib/x86_64-linux-gnu/libnss_compat-2.13.so                                                            
7f77e07c7000-7f77e09c6000 ---p 00007000 09:00 4474991                    /lib/x86_64-linux-gnu/libnss_compat-2.13.so                                                            
7f77e09c6000-7f77e09c7000 r--p 00006000 09:00 4474991                    /lib/x86_64-linux-gnu/libnss_compat-2.13.so                                                            
7f77e09c7000-7f77e09c8000 rw-p 00007000 09:00 4474991                    /lib/x86_64-linux-gnu/libnss_compat-2.13.so                                                            
7f77e0a05000-7f77e0a09000 r-xp 00000000 09:00 3932294                    /usr/lib/python2.7/dist-packages/wimpiggy/gdk/gdk_atoms.so                                             
7f77e0a09000-7f77e0c09000 ---p 00004000 09:00 3932294                    /usr/lib/python2.7/dist-packages/wimpiggy/gdk/gdk_atoms.so                                             
7f77e0c09000-7f77e0c0a000 r--p 00004000 09:00 3932294                    /usr/lib/python2.7/dist-packages/wimpiggy/gdk/gdk_atoms.so                                             
7f77e0c0a000-7f77e0c0b000 rw-p 00005000 09:00 3932294                    /usr/lib/python2.7/dist-packages/wimpiggy/gdk/gdk_atoms.so                                             
7f77e0c0b000-7f77e0c10000 r-xp 00000000 09:00 3414420                    /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so                         
7f77e0c10000-7f77e0e0f000 ---p 00005000 09:00 3414420                    /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so                         
7f77e0e0f000-7f77e0e10000 r--p 00004000 09:00 3414420                    /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so                         
7f77e0e10000-7f77e0e11000 rw-p 00005000 09:00 3414420                    /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so                         
7f77e0e11000-7f77e0e12000 ---p 00000000 00:00 0                                                                                                                                 
7f77e0e12000-7f77e1612000 rw-p 00000000 00:00 0                          [stack:21989]                                                                                          
7f77e1612000-7f77e1617000 r-xp 00000000 09:00 3412890                    /usr/lib/x86_64-linux-gnu/libXtst.so.6.1.0                                                             
7f77e1617000-7f77e1816000 ---p 00005000 09:00 3412890                    /usr/lib/x86_64-linux-gnu/libXtst.so.6.1.0                                                             
7f77e1816000-7f77e1817000 rw-p 00004000 09:00 3412890                    /usr/lib/x86_64-linux-gnu/libXtst.so.6.1.0                                                             
7f77e1817000-7f77e1875000 r-xp 00000000 09:00 3932312                    /usr/lib/python2.7/dist-packages/wimpiggy/lowlevel/bindings.so                                         
7f77e1875000-7f77e1a74000 ---p 0005e000 09:00 3932312                    /usr/lib/python2.7/dist-packages/wimpiggy/lowlevel/bindings.so                                         
7f77e1a74000-7f77e1a75000 r--p 0005d000 09:00 3932312                    /usr/lib/python2.7/dist-packages/wimpiggy/lowlevel/bindings.so                                         
7f77e1a75000-7f77e1a80000 rw-p 0005e000 09:00 3932312                    /usr/lib/python2.7/dist-packages/wimpiggy/lowlevel/bindings.so                                         
7f77e1a80000-7f77e1a82000 rw-p 00000000 00:00 0                                                                                                                                 
7f77e1a82000-7f77e1a96000 r-xp 00000000 09:00 3939675                    /usr/lib/python2.7/lib-dynload/datetime.so                                                             
7f77e1a96000-7f77e1c96000 ---p 00014000 09:00 3939675                    /usr/lib/python2.7/lib-dynload/datetime.so                                                             
7f77e1c96000-7f77e1c97000 r--p 00014000 09:00 3939675                    /usr/lib/python2.7/lib-dynload/datetime.so                                                             
7f77e1c97000-7f77e1c9b000 rw-p 00015000 09:00 3939675                    /usr/lib/python2.7/lib-dynload/datetime.so                                                             
7f77e1c9b000-7f77e1ca8000 r-xp 00000000 09:00 131995                     /usr/lib/python2.7/dist-packages/xpra/rencode/_rencode.so                                              
7f77e1ca8000-7f77e1ea7000 ---p 0000d000 09:00 131995                     /usr/lib/python2.7/dist-packages/xpra/rencode/_rencode.so                                              
7f77e1ea7000-7f77e1ea8000 r--p 0000c000 09:00 131995                     /usr/lib/python2.7/dist-packages/xpra/rencode/_rencode.so                                              
7f77e1ea8000-7f77e1ea9000 rw-p 0000d000 09:00 131995                     /usr/lib/python2.7/dist-packages/xpra/rencode/_rencode.so                                              
7f77e1ea9000-7f77e1eac000 r-xp 00000000 09:00 3936598                    /usr/lib/python2.7/lib-dynload/_hashlib.so                                                             
7f77e1eac000-7f77e20ac000 ---p 00003000 09:00 3936598                    /usr/lib/python2.7/lib-dynload/_hashlib.so                                                             
7f77e20ac000-7f77e20ad000 r--p 00003000 09:00 3936598                    /usr/lib/python2.7/lib-dynload/_hashlib.so                                                             
7f77e20ad000-7f77e20ae000 rw-p 00004000 09:00 3936598                    /usr/lib/python2.7/lib-dynload/_hashlib.so                                                             
7f77e20ae000-7f77e20b2000 r-xp 00000000 09:00 3935992                    /usr/lib/python2.7/dist-packages/gtk-2.0/pangocairo.so                                                 
7f77e20b2000-7f77e22b2000 ---p 00004000 09:00 3935992                    /usr/lib/python2.7/dist-packages/gtk-2.0/pangocairo.so                                                 
7f77e22b2000-7f77e22b3000 rw-p 00004000 09:00 3935992                    /usr/lib/python2.7/dist-packages/gtk-2.0/pangocairo.so                                                 
7f77e22b3000-7f77e22ee000 r-xp 00000000 09:00 3933388                    /usr/lib/python2.7/dist-packages/gtk-2.0/atk.so                                                        
7f77e22ee000-7f77e24ee000 ---p 0003b000 09:00 3933388                    /usr/lib/python2.7/dist-packages/gtk-2.0/atk.so                                                        
7f77e24ee000-7f77e24f6000 rw-p 0003b000 09:00 3933388                    /usr/lib/python2.7/dist-packages/gtk-2.0/atk.so                                                        
7f77e24f6000-7f77e2519000 r-xp 00000000 09:00 3935990                    /usr/lib/python2.7/dist-packages/gtk-2.0/pango.so                                                      
7f77e2519000-7f77e2719000 ---p 00023000 09:00 3935990                    /usr/lib/python2.7/dist-packages/gtk-2.0/pango.so                                                      
7f77e2719000-7f77e2720000 rw-p 00023000 09:00 3935990                    /usr/lib/python2.7/dist-packages/gtk-2.0/pango.so                                                      
7f77e2720000-7f77e2726000 r-xp 00000000 09:00 3933373                    /usr/lib/python2.7/dist-packages/gtk-2.0/gio/unix.so                                                   
7f77e2726000-7f77e2925000 ---p 00006000 09:00 3933373                    /usr/lib/python2.7/dist-packages/gtk-2.0/gio/unix.so                                                   
7f77e2925000-7f77e2927000 rw-p 00005000 09:00 3933373                    /usr/lib/python2.7/dist-packages/gtk-2.0/gio/unix.so                                                   
7f77e2927000-7f77e297a000 r-xp 00000000 09:00 3933450                    /usr/lib/python2.7/dist-packages/gtk-2.0/gio/_gio.so                                                   
7f77e297a000-7f77e2b79000 ---p 00053000 09:00 3933450                    /usr/lib/python2.7/dist-packages/gtk-2.0/gio/_gio.so                                                   
7f77e2b79000-7f77e2b89000 rw-p 00052000 09:00 3933450                    /usr/lib/python2.7/dist-packages/gtk-2.0/gio/_gio.so                                                   
7f77e2b89000-7f77e2b9f000 r-xp 00000000 09:00 3416737                    /usr/lib/pyshared/python2.7/cairo/_cairo.so                                                            
7f77e2b9f000-7f77e2d9e000 ---p 00016000 09:00 3416737                    /usr/lib/pyshared/python2.7/cairo/_cairo.so                                                            
7f77e2d9e000-7f77e2da3000 rw-p 00015000 09:00 3416737                    /usr/lib/pyshared/python2.7/cairo/_cairo.so                                                            
7f77e2da3000-7f77e2db2000 r-xp 00000000 09:00 3428510                    /usr/lib/x86_64-linux-gnu/libatiuki.so.1.0                                                             
7f77e2db2000-7f77e2eb1000 ---p 0000f000 09:00 3428510                    /usr/lib/x86_64-linux-gnu/libatiuki.so.1.0                                                             
7f77e2eb1000-7f77e2ebd000 rw-p 0000e000 09:00 3428510                    /usr/lib/x86_64-linux-gnu/libatiuki.so.1.0                                                             
7f77e2ebd000-7f77e2ec2000 r-xp 00000000 09:00 3409130                    /usr/lib/x86_64-linux-gnu/libXdmcp.so.6.0.0                                                            
7f77e2ec2000-7f77e30c1000 ---p 00005000 09:00 3409130                    /usr/lib/x86_64-linux-gnu/libXdmcp.so.6.0.0                                                            
7f77e30c1000-7f77e30c2000 rw-p 00004000 09:00 3409130                    /usr/lib/x86_64-linux-gnu/libXdmcp.so.6.0.0                                                            
7f77e30c2000-7f77e30c4000 r-xp 00000000 09:00 3410612                    /usr/lib/x86_64-linux-gnu/libXau.so.6.0.0                                                              
7f77e30c4000-7f77e32c4000 ---p 00002000 09:00 3410612                    /usr/lib/x86_64-linux-gnu/libXau.so.6.0.0                                                              
7f77e32c4000-7f77e32c5000 rw-p 00002000 09:00 3410612                    /usr/lib/x86_64-linux-gnu/libXau.so.6.0.0                                                              
7f77e32c5000-7f77e32c9000 r-xp 00000000 09:00 3414769                    /usr/lib/x86_64-linux-gnu/libgbm.so.1.0                                                                
7f77e32c9000-7f77e34c8000 ---p 00004000 09:00 3414769                    /usr/lib/x86_64-linux-gnu/libgbm.so.1.0                                                                
7f77e34c8000-7f77e34c9000 rw-p 00003000 09:00 3414769                    /usr/lib/x86_64-linux-gnu/libgbm.so.1.0                                                                
7f77e34c9000-7f77e34d4000 r-xp 00000000 09:00 3303795                    /usr/lib/libwayland-server.so.0.0.0                                                                    
7f77e34d4000-7f77e36d4000 ---p 0000b000 09:00 3303795                    /usr/lib/libwayland-server.so.0.0.0                                                                    
7f77e36d4000-7f77e36d6000 rw-p 0000b000 09:00 3303795                    /usr/lib/libwayland-server.so.0.0.0                                                                    
7f77e36d6000-7f77e36dd000 r-xp 00000000 09:00 3303791                    /usr/lib/libwayland-client.so.0.0.0                                                                    
7f77e36dd000-7f77e38dd000 ---p 00007000 09:00 3303791                    /usr/lib/libwayland-client.so.0.0.0                                                                    
7f77e38dd000-7f77e38df000 rw-p 00007000 09:00 3303791                    /usr/lib/libwayland-client.so.0.0.0                                                                    
7f77e38df000-7f77e38ea000 r-xp 00000000 09:00 3412727                    /usr/lib/x86_64-linux-gnu/libdrm.so.2.4.0                                                              
7f77e38ea000-7f77e3ae9000 ---p 0000b000 09:00 3412727                    /usr/lib/x86_64-linux-gnu/libdrm.so.2.4.0                                                              
7f77e3ae9000-7f77e3aea000 r--p 0000a000 09:00 3412727                    /usr/lib/x86_64-linux-gnu/libdrm.so.2.4.0                                                              
7f77e3aea000-7f77e3aeb000 rw-p 0000b000 09:00 3412727                    /usr/lib/x86_64-linux-gnu/libdrm.so.2.4.0                                                              
7f77e3aeb000-7f77e3af8000 r-xp 00000000 09:00 4456881                    /lib/x86_64-linux-gnu/libudev.so.0.13.0                                                                
7f77e3af8000-7f77e3cf8000 ---p 0000d000 09:00 4456881                    /lib/x86_64-linux-gnu/libudev.so.0.13.0                                                                
7f77e3cf8000-7f77e3cf9000 r--p 0000d000 09:00 4456881                    /lib/x86_64-linux-gnu/libudev.so.0.13.0                                                                
7f77e3cf9000-7f77e3cfa000 rw-p 0000e000 09:00 4456881                    /lib/x86_64-linux-gnu/libudev.so.0.13.0                                                                
7f77e3cfa000-7f77e3cfc000 r-xp 00000000 09:00 3411408                    /usr/lib/x86_64-linux-gnu/libxcb-shape.so.0.0.0                                                        
7f77e3cfc000-7f77e3efc000 ---p 00002000 09:00 3411408                    /usr/lib/x86_64-linux-gnu/libxcb-shape.so.0.0.0                                                        
7f77e3efc000-7f77e3efd000 r--p 00002000 09:00 3411408                    /usr/lib/x86_64-linux-gnu/libxcb-shape.so.0.0.0                                                        
7f77e3efd000-7f77e3efe000 rw-p 00003000 09:00 3411408                    /usr/lib/x86_64-linux-gnu/libxcb-shape.so.0.0.0                                                        
7f77e3efe000-7f77e3f03000 r-xp 00000000 09:00 3415601                    /usr/lib/x86_64-linux-gnu/libxcb-xfixes.so.0.0.0                                                       
7f77e3f03000-7f77e4103000 ---p 00005000 09:00 3415601                    /usr/lib/x86_64-linux-gnu/libxcb-xfixes.so.0.0.0                                                       
7f77e4103000-7f77e4104000 r--p 00005000 09:00 3415601                    /usr/lib/x86_64-linux-gnu/libxcb-xfixes.so.0.0.0                                                       
7f77e4104000-7f77e4105000 rw-p 00006000 09:00 3415601                    /usr/lib/x86_64-linux-gnu/libxcb-xfixes.so.0.0.0                                                       
7f77e4105000-7f77e4108000 r-xp 00000000 09:00 3411398                    /usr/lib/x86_64-linux-gnu/libxcb-dri2.so.0.0.0                                                         
7f77e4108000-7f77e4308000 ---p 00003000 09:00 3411398                    /usr/lib/x86_64-linux-gnu/libxcb-dri2.so.0.0.0                                                         
7f77e4308000-7f77e4309000 r--p 00003000 09:00 3411398                    /usr/lib/x86_64-linux-gnu/libxcb-dri2.so.0.0.0                                                         
7f77e4309000-7f77e430a000 rw-p 00004000 09:00 3411398                    /usr/lib/x86_64-linux-gnu/libxcb-dri2.so.0.0.0                                                         
7f77e430a000-7f77e430b000 r-xp 00000000 09:00 3412858                    /usr/lib/x86_64-linux-gnu/libX11-xcb.so.1.0.0                                                          
7f77e430b000-7f77e450a000 ---p 00001000 09:00 3412858                    /usr/lib/x86_64-linux-gnu/libX11-xcb.so.1.0.0                                                          
7f77e450a000-7f77e450b000 rw-p 00000000 09:00 3412858                    /usr/lib/x86_64-linux-gnu/libX11-xcb.so.1.0.0                                                          
7f77e450b000-7f77e4532000 r-xp 00000000 09:00 4456522                    /lib/x86_64-linux-gnu/libexpat.so.1.6.0                                                                
7f77e4532000-7f77e4732000 ---p 00027000 09:00 4456522                    /lib/x86_64-linux-gnu/libexpat.so.1.6.0                                                                
7f77e4732000-7f77e4734000 r--p 00027000 09:00 4456522                    /lib/x86_64-linux-gnu/libexpat.so.1.6.0                                                                
7f77e4734000-7f77e4735000 rw-p 00029000 09:00 4456522                    /lib/x86_64-linux-gnu/libexpat.so.1.6.0                                                                
7f77e4735000-7f77e47f4000 r-xp 00000000 09:00 3677299                    /usr/lib/x86_64-linux-gnu/fglrx/fglrx-libGL.so.1.2                                                     
7f77e47f4000-7f77e48f4000 ---p 000bf000 09:00 3677299                    /usr/lib/x86_64-linux-gnu/fglrx/fglrx-libGL.so.1.2                                                     
7f77e48f4000-7f77e491b000 rwxp 000bf000 09:00 3677299                    /usr/lib/x86_64-linux-gnu/fglrx/fglrx-libGL.so.1.2                                                     
7f77e491b000-7f77e493d000 rwxp 00000000 00:00 0                                                                                                                                 
7f77e493d000-7f77e495c000 r-xp 00000000 09:00 3410145                    /usr/lib/x86_64-linux-gnu/libxcb.so.1.1.0                                                              
7f77e495c000-7f77e4b5b000 ---p 0001f000 09:00 3410145                    /usr/lib/x86_64-linux-gnu/libxcb.so.1.1.0                                                              
7f77e4b5b000-7f77e4b5c000 r--p 0001e000 09:00 3410145                    /usr/lib/x86_64-linux-gnu/libxcb.so.1.1.0                                                              
7f77e4b5c000-7f77e4b5d000 rw-p 0001f000 09:00 3410145                    /usr/lib/x86_64-linux-gnu/libxcb.so.1.1.0                                                              
7f77e4b5d000-7f77e4b65000 r-xp 00000000 09:00 3411406                    /usr/lib/x86_64-linux-gnu/libxcb-render.so.0.0.0                                                       
7f77e4b65000-7f77e4d65000 ---p 00008000 09:00 3411406                    /usr/lib/x86_64-linux-gnu/libxcb-render.so.0.0.0                                                       
7f77e4d65000-7f77e4d66000 r--p 00008000 09:00 3411406                    /usr/lib/x86_64-linux-gnu/libxcb-render.so.0.0.0                                                       
7f77e4d66000-7f77e4d67000 rw-p 00009000 09:00 3411406                    /usr/lib/x86_64-linux-gnu/libxcb-render.so.0.0.0                                                       
7f77e4d67000-7f77e4d69000 r-xp 00000000 09:00 3411411                    /usr/lib/x86_64-linux-gnu/libxcb-shm.so.0.0.0                                                          
7f77e4d69000-7f77e4f68000 ---p 00002000 09:00 3411411                    /usr/lib/x86_64-linux-gnu/libxcb-shm.so.0.0.0                                                          
7f77e4f68000-7f77e4f69000 r--p 00001000 09:00 3411411                    /usr/lib/x86_64-linux-gnu/libxcb-shm.so.0.0.0                                                          
7f77e4f69000-7f77e4f6a000 rw-p 00002000 09:00 3411411                    /usr/lib/x86_64-linux-gnu/libxcb-shm.so.0.0.0                                                          
7f77e4f6a000-7f77e4f88000 r-xp 00000000 09:00 3410994                    /usr/lib/x86_64-linux-gnu/libEGL.so.1.0                                                                
7f77e4f88000-7f77e5187000 ---p 0001e000 09:00 3410994                    /usr/lib/x86_64-linux-gnu/libEGL.so.1.0                                                                
7f77e5187000-7f77e5189000 rw-p 0001d000 09:00 3410994                    /usr/lib/x86_64-linux-gnu/libEGL.so.1.0                                                                
7f77e5189000-7f77e5209000 r-xp 00000000 09:00 3415280                    /usr/lib/x86_64-linux-gnu/libpixman-1.so.0.26.0                                                        
7f77e5209000-7f77e5409000 ---p 00080000 09:00 3415280                    /usr/lib/x86_64-linux-gnu/libpixman-1.so.0.26.0                                                        
7f77e5409000-7f77e540f000 rw-p 00080000 09:00 3415280                    /usr/lib/x86_64-linux-gnu/libpixman-1.so.0.26.0                                                        
7f77e540f000-7f77e5435000 r-xp 00000000 09:00 4456643                    /lib/x86_64-linux-gnu/libpng12.so.0.49.0                                                               
7f77e5435000-7f77e5634000 ---p 00026000 09:00 4456643                    /lib/x86_64-linux-gnu/libpng12.so.0.49.0                                                               
7f77e5634000-7f77e5635000 r--p 00025000 09:00 4456643                    /lib/x86_64-linux-gnu/libpng12.so.0.49.0                                                               
7f77e5635000-7f77e5636000 rw-p 00026000 09:00 4456643                    /lib/x86_64-linux-gnu/libpng12.so.0.49.0                                                               
7f77e5636000-7f77e5649000 r-xp 00000000 09:00 4456699                    /lib/x86_64-linux-gnu/libresolv-2.13.so                                                                
7f77e5649000-7f77e5848000 ---p 00013000 09:00 4456699                    /lib/x86_64-linux-gnu/libresolv-2.13.so                                                                
7f77e5848000-7f77e5849000 r--p 00012000 09:00 4456699                    /lib/x86_64-linux-gnu/libresolv-2.13.so                                                                
7f77e5849000-7f77e584a000 rw-p 00013000 09:00 4456699                    /lib/x86_64-linux-gnu/libresolv-2.13.so                                                                
7f77e584a000-7f77e584c000 rw-p 00000000 00:00 0                                                                                                                                 
7f77e584c000-7f77e586a000 r-xp 00000000 09:00 4458694                    /lib/x86_64-linux-gnu/libselinux.so.1                                                                  
7f77e586a000-7f77e5a69000 ---p 0001e000 09:00 4458694                    /lib/x86_64-linux-gnu/libselinux.so.1                                                                  
7f77e5a69000-7f77e5a6a000 r--p 0001d000 09:00 4458694                    /lib/x86_64-linux-gnu/libselinux.so.1                                                                  
7f77e5a6a000-7f77e5a6b000 rw-p 0001e000 09:00 4458694                    /lib/x86_64-linux-gnu/libselinux.so.1                                                                  
7f77e5a6b000-7f77e5a6c000 rw-p 00000000 00:00 0                                                                                                                                 
7f77e5a6c000-7f77e5a6f000 r-xp 00000000 09:00 3451694                    /usr/lib/x86_64-linux-gnu/libgmodule-2.0.so.0.3200.4                                                   
7f77e5a6f000-7f77e5c6e000 ---p 00003000 09:00 3451694                    /usr/lib/x86_64-linux-gnu/libgmodule-2.0.so.0.3200.4                                                   
7f77e5c6e000-7f77e5c6f000 r--p 00002000 09:00 3451694                    /usr/lib/x86_64-linux-gnu/libgmodule-2.0.so.0.3200.4                                                   
7f77e5c6f000-7f77e5c70000 rw-p 00003000 09:00 3451694                    /usr/lib/x86_64-linux-gnu/libgmodule-2.0.so.0.3200.4                                                   
7f77e5c70000-7f77e5c79000 r-xp 00000000 09:00 3422788                    /usr/lib/x86_64-linux-gnu/libXcursor.so.1.0.2                                                          
7f77e5c79000-7f77e5e79000 ---p 00009000 09:00 3422788                    /usr/lib/x86_64-linux-gnu/libXcursor.so.1.0.2                                                          
7f77e5e79000-7f77e5e7a000 rw-p 00009000 09:00 3422788                    /usr/lib/x86_64-linux-gnu/libXcursor.so.1.0.2                                                          
7f77e5e7a000-7f77e5e82000 r-xp 00000000 09:00 3418967                    /usr/lib/x86_64-linux-gnu/libXrandr.so.2.2.0                                                           
7f77e5e82000-7f77e6081000 ---p 00008000 09:00 3418967                    /usr/lib/x86_64-linux-gnu/libXrandr.so.2.2.0                                                           
7f77e6081000-7f77e6082000 rw-p 00007000 09:00 3418967                    /usr/lib/x86_64-linux-gnu/libXrandr.so.2.2.0                                                           
7f77e6082000-7f77e6090000 r-xp 00000000 09:00 3412620                    /usr/lib/x86_64-linux-gnu/libXi.so.6.1.0                                                               
7f77e6090000-7f77e6290000 ---p 0000e000 09:00 3412620                    /usr/lib/x86_64-linux-gnu/libXi.so.6.1.0                                                               
7f77e6290000-7f77e6291000 rw-p 0000e000 09:00 3412620                    /usr/lib/x86_64-linux-gnu/libXi.so.6.1.0                                                               
7f77e6291000-7f77e6293000 r-xp 00000000 09:00 3412880                    /usr/lib/x86_64-linux-gnu/libXinerama.so.1.0.0                                                         
7f77e6293000-7f77e6492000 ---p 00002000 09:00 3412880                    /usr/lib/x86_64-linux-gnu/libXinerama.so.1.0.0                                                         
7f77e6492000-7f77e6493000 rw-p 00001000 09:00 3412880                    /usr/lib/x86_64-linux-gnu/libXinerama.so.1.0.0                                                         
7f77e6493000-7f77e649c000 r-xp 00000000 09:00 3411225                    /usr/lib/x86_64-linux-gnu/libXrender.so.1.3.0                                                          
7f77e649c000-7f77e669b000 ---p 00009000 09:00 3411225                    /usr/lib/x86_64-linux-gnu/libXrender.so.1.3.0                                                          
7f77e669b000-7f77e669c000 rw-p 00008000 09:00 3411225                    /usr/lib/x86_64-linux-gnu/libXrender.so.1.3.0                                                          
7f77e669c000-7f77e66ae000 r-xp 00000000 09:00 3410102                    /usr/lib/x86_64-linux-gnu/libXext.so.6.4.0                                                             
7f77e66ae000-7f77e68ae000 ---p 00012000 09:00 3410102                    /usr/lib/x86_64-linux-gnu/libXext.so.6.4.0                                                             
7f77e68ae000-7f77e68af000 rw-p 00012000 09:00 3410102                    /usr/lib/x86_64-linux-gnu/libXext.so.6.4.0                                                             
7f77e68af000-7f77e68b4000 r-xp 00000000 09:00 3418959                    /usr/lib/x86_64-linux-gnu/libXfixes.so.3.1.0                                                           
7f77e68b4000-7f77e6ab4000 ---p 00005000 09:00 3418959                    /usr/lib/x86_64-linux-gnu/libXfixes.so.3.1.0                                                           
7f77e6ab4000-7f77e6ab5000 rw-p 00005000 09:00 3418959                    /usr/lib/x86_64-linux-gnu/libXfixes.so.3.1.0                                                           
7f77e6ab5000-7f77e6ab7000 r-xp 00000000 09:00 3409362                    /usr/lib/x86_64-linux-gnu/libXdamage.so.1.1.0                                                          
7f77e6ab7000-7f77e6cb6000 ---p 00002000 09:00 3409362                    /usr/lib/x86_64-linux-gnu/libXdamage.so.1.1.0                                                          
7f77e6cb6000-7f77e6cb7000 rw-p 00001000 09:00 3409362                    /usr/lib/x86_64-linux-gnu/libXdamage.so.1.1.0                                                          
7f77e6cb7000-7f77e6cb9000 r-xp 00000000 09:00 3418957                    /usr/lib/x86_64-linux-gnu/libXcomposite.so.1.0.0                                                       
7f77e6cb9000-7f77e6eb8000 ---p 00002000 09:00 3418957                    /usr/lib/x86_64-linux-gnu/libXcomposite.so.1.0.0                                                       
7f77e6eb8000-7f77e6eb9000 rw-p 00001000 09:00 3418957                    /usr/lib/x86_64-linux-gnu/libXcomposite.so.1.0.0                                                       
7f77e6eb9000-7f77e6fef000 r-xp 00000000 09:00 3410091                    /usr/lib/x86_64-linux-gnu/libX11.so.6.3.0                                                              
7f77e6fef000-7f77e71ef000 ---p 00136000 09:00 3410091                    /usr/lib/x86_64-linux-gnu/libX11.so.6.3.0                                                              
7f77e71ef000-7f77e71f5000 rw-p 00136000 09:00 3410091                    /usr/lib/x86_64-linux-gnu/libX11.so.6.3.0                                                              
7f77e71f5000-7f77e722a000 r-xp 00000000 09:00 3409922                    /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.5.0                                                       
7f77e722a000-7f77e742a000 ---p 00035000 09:00 3409922                    /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.5.0                                                       
7f77e742a000-7f77e742b000 r--p 00035000 09:00 3409922                    /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.5.0                                                       
7f77e742b000-7f77e742c000 rw-p 00036000 09:00 3409922                    /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.5.0                                                       
7f77e742c000-7f77e74c5000 r-xp 00000000 09:00 3428638                    /usr/lib/x86_64-linux-gnu/libfreetype.so.6.8.1                                                         
7f77e74c5000-7f77e76c4000 ---p 00099000 09:00 3428638                    /usr/lib/x86_64-linux-gnu/libfreetype.so.6.8.1                                                         
7f77e76c4000-7f77e76ca000 r--p 00098000 09:00 3428638                    /usr/lib/x86_64-linux-gnu/libfreetype.so.6.8.1                                                         
7f77e76ca000-7f77e76cb000 rw-p 0009e000 09:00 3428638                    /usr/lib/x86_64-linux-gnu/libfreetype.so.6.8.1                                                         
7f77e76cb000-7f77e7715000 r-xp 00000000 09:00 3408583                    /usr/lib/x86_64-linux-gnu/libpango-1.0.so.0.3000.0                                                     
7f77e7715000-7f77e7915000 ---p 0004a000 09:00 3408583                    /usr/lib/x86_64-linux-gnu/libpango-1.0.so.0.3000.0                                                     
7f77e7915000-7f77e7917000 r--p 0004a000 09:00 3408583                    /usr/lib/x86_64-linux-gnu/libpango-1.0.so.0.3000.0                                                     
7f77e7917000-7f77e7918000 rw-p 0004c000 09:00 3408583                    /usr/lib/x86_64-linux-gnu/libpango-1.0.so.0.3000.0                                                     
7f77e7918000-7f77e7a2c000 r-xp 00000000 09:00 3413808                    /usr/lib/x86_64-linux-gnu/libcairo.so.2.11200.10                                                       
7f77e7a2c000-7f77e7c2c000 ---p 00114000 09:00 3413808                    /usr/lib/x86_64-linux-gnu/libcairo.so.2.11200.10                                                       
7f77e7c2c000-7f77e7c2f000 r--p 00114000 09:00 3413808                    /usr/lib/x86_64-linux-gnu/libcairo.so.2.11200.10                                                       
7f77e7c2f000-7f77e7c31000 rw-p 00117000 09:00 3413808                    /usr/lib/x86_64-linux-gnu/libcairo.so.2.11200.10                                                       
7f77e7c31000-7f77e7c32000 rw-p 00000000 00:00 0                                                                                                                                 
7f77e7c32000-7f77e7c51000 r-xp 00000000 09:00 3414429                    /usr/lib/x86_64-linux-gnu/libgdk_pixbuf-2.0.so.0.2600.1                                                
7f77e7c51000-7f77e7e50000 ---p 0001f000 09:00 3414429                    /usr/lib/x86_64-linux-gnu/libgdk_pixbuf-2.0.so.0.2600.1                                                
7f77e7e50000-7f77e7e51000 r--p 0001e000 09:00 3414429                    /usr/lib/x86_64-linux-gnu/libgdk_pixbuf-2.0.so.0.2600.1                                                
7f77e7e51000-7f77e7e52000 rw-p 0001f000 09:00 3414429                    /usr/lib/x86_64-linux-gnu/libgdk_pixbuf-2.0.so.0.2600.1                                                
7f77e7e52000-7f77e7e5e000 r-xp 00000000 09:00 3408586                    /usr/lib/x86_64-linux-gnu/libpangocairo-1.0.so.0.3000.0                                                
7f77e7e5e000-7f77e805d000 ---p 0000c000 09:00 3408586                    /usr/lib/x86_64-linux-gnu/libpangocairo-1.0.so.0.3000.0                                                
7f77e805d000-7f77e805e000 r--p 0000b000 09:00 3408586                    /usr/lib/x86_64-linux-gnu/libpangocairo-1.0.so.0.3000.0                                                
7f77e805e000-7f77e805f000 rw-p 0000c000 09:00 3408586                    /usr/lib/x86_64-linux-gnu/libpangocairo-1.0.so.0.3000.0                                                
7f77e805f000-7f77e8089000 r-xp 00000000 09:00 3411390                    /usr/lib/x86_64-linux-gnu/libpangoft2-1.0.so.0.3000.0                                                  
7f77e8089000-7f77e8288000 ---p 0002a000 09:00 3411390                    /usr/lib/x86_64-linux-gnu/libpangoft2-1.0.so.0.3000.0                                                  
7f77e8288000-7f77e8289000 r--p 00029000 09:00 3411390                    /usr/lib/x86_64-linux-gnu/libpangoft2-1.0.so.0.3000.0                                                  
7f77e8289000-7f77e828a000 rw-p 0002a000 09:00 3411390                    /usr/lib/x86_64-linux-gnu/libpangoft2-1.0.so.0.3000.0                                                  
7f77e828a000-7f77e83d6000 r-xp 00000000 09:00 3412902                    /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0.3200.4                                                       
7f77e83d6000-7f77e85d5000 ---p 0014c000 09:00 3412902                    /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0.3200.4                                                       
7f77e85d5000-7f77e85d9000 r--p 0014b000 09:00 3412902                    /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0.3200.4                                                       
7f77e85d9000-7f77e85db000 rw-p 0014f000 09:00 3412902                    /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0.3200.4                                                       
7f77e85db000-7f77e85dd000 rw-p 00000000 00:00 0                                                                                                                                 
7f77e85dd000-7f77e85fe000 r-xp 00000000 09:00 3452273                    /usr/lib/x86_64-linux-gnu/libatk-1.0.so.0.20409.1                                                      
7f77e85fe000-7f77e87fd000 ---p 00021000 09:00 3452273                    /usr/lib/x86_64-linux-gnu/libatk-1.0.so.0.20409.1                                                      
7f77e87fd000-7f77e87ff000 r--p 00020000 09:00 3452273                    /usr/lib/x86_64-linux-gnu/libatk-1.0.so.0.20409.1                                                      
7f77e87ff000-7f77e8800000 rw-p 00022000 09:00 3452273                    /usr/lib/x86_64-linux-gnu/libatk-1.0.so.0.20409.1                                                      
7f77e8800000-7f77e88af000 r-xp 00000000 09:00 3417328                    /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0.2400.10                                                  
7f77e88af000-7f77e8aae000 ---p 000af000 09:00 3417328                    /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0.2400.10                                                  
7f77e8aae000-7f77e8ab3000 rw-p 000ae000 09:00 3417328                    /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0.2400.10                                                  
7f77e8ab3000-7f77e8ee5000 r-xp 00000000 09:00 3410749                    /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0.2400.10                                                  
7f77e8ee5000-7f77e90e5000 ---p 00432000 09:00 3410749                    /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0.2400.10                                                  
7f77e90e5000-7f77e90f0000 rw-p 00432000 09:00 3410749                    /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0.2400.10                                                  
7f77e90f0000-7f77e90f2000 rw-p 00000000 00:00 0                                                                                                                                 
7f77e90f2000-7f77e9345000 r-xp 00000000 09:00 3937086                    /usr/lib/python2.7/dist-packages/gtk-2.0/gtk/_gtk.so                                                   
7f77e9345000-7f77e9544000 ---p 00253000 09:00 3937086                    /usr/lib/python2.7/dist-packages/gtk-2.0/gtk/_gtk.so                                                   
7f77e9544000-7f77e959a000 rw-p 00252000 09:00 3937086                    /usr/lib/python2.7/dist-packages/gtk-2.0/gtk/_gtk.so                                                   
7f77e959a000-7f77e95db000 rw-p 00000000 00:00 0                                                                                                                                 
7f77e95db000-7f77e9611000 r-xp 00000000 09:00 3419044                    /usr/lib/x86_64-linux-gnu/libwebp.so.2.0.0                                                             
7f77e9611000-7f77e9810000 ---p 00036000 09:00 3419044                    /usr/lib/x86_64-linux-gnu/libwebp.so.2.0.0                                                             
7f77e9810000-7f77e9811000 r--p 00035000 09:00 3419044                    /usr/lib/x86_64-linux-gnu/libwebp.so.2.0.0                                                             
7f77e9811000-7f77e9812000 rw-p 00036000 09:00 3419044                    /usr/lib/x86_64-linux-gnu/libwebp.so.2.0.0                                                             
7f77e9812000-7f77e9815000 rw-p 00000000 00:00 0                                                                                                                                 
7f77e9815000-7f77e988c000 r-xp 00000000 09:00 3419047                    /usr/lib/x86_64-linux-gnu/liborc-0.4.so.0.16.0                                                         
7f77e988c000-7f77e9a8b000 ---p 00077000 09:00 3419047                    /usr/lib/x86_64-linux-gnu/liborc-0.4.so.0.16.0                                                         
7f77e9a8b000-7f77e9a8d000 r--p 00076000 09:00 3419047                    /usr/lib/x86_64-linux-gnu/liborc-0.4.so.0.16.0                                                         
7f77e9a8d000-7f77e9a92000 rw-p 00078000 09:00 3419047                    /usr/lib/x86_64-linux-gnu/liborc-0.4.so.0.16.0                                                         
7f77e9a92000-7f77e9a98000 r-xp 00000000 09:00 3408953                    /usr/lib/x86_64-linux-gnu/libogg.so.0.8.0                                                              
7f77e9a98000-7f77e9c97000 ---p 00006000 09:00 3408953                    /usr/lib/x86_64-linux-gnu/libogg.so.0.8.0                                                              
7f77e9c97000-7f77e9c98000 rw-p 00005000 09:00 3408953                    /usr/lib/x86_64-linux-gnu/libogg.so.0.8.0                                                              
7f77e9c98000-7f77e9ca9000 r-xp 00000000 09:00 3447319                    /usr/lib/x86_64-linux-gnu/libva.so.1.3200.0                                                            
7f77e9ca9000-7f77e9ea8000 ---p 00011000 09:00 3447319                    /usr/lib/x86_64-linux-gnu/libva.so.1.3200.0                                                            
7f77e9ea8000-7f77e9ea9000 r--p 00010000 09:00 3447319                    /usr/lib/x86_64-linux-gnu/libva.so.1.3200.0                                                            
7f77e9ea9000-7f77e9eaa000 rw-p 00011000 09:00 3447319                    /usr/lib/x86_64-linux-gnu/libva.so.1.3200.0                                                            
7f77e9eaa000-7f77e9eaf000 rw-p 00000000 00:00 0                                                                                                                                 
7f77e9eaf000-7f77e9ebc000 r-xp 00000000 09:00 3420213                    /usr/lib/x86_64-linux-gnu/libgsm.so.1.0.12                                                             
7f77e9ebc000-7f77ea0bb000 ---p 0000d000 09:00 3420213                    /usr/lib/x86_64-linux-gnu/libgsm.so.1.0.12                                                             
7f77ea0bb000-7f77ea0bc000 rw-p 0000c000 09:00 3420213                    /usr/lib/x86_64-linux-gnu/libgsm.so.1.0.12                                                             
7f77ea0bc000-7f77ea103000 r-xp 00000000 09:00 3417626                    /usr/lib/x86_64-linux-gnu/libmp3lame.so.0.0.0                                                          
7f77ea103000-7f77ea303000 ---p 00047000 09:00 3417626                    /usr/lib/x86_64-linux-gnu/libmp3lame.so.0.0.0                                                          
7f77ea303000-7f77ea304000 r--p 00047000 09:00 3417626                    /usr/lib/x86_64-linux-gnu/libmp3lame.so.0.0.0                                                          
7f77ea304000-7f77ea305000 rw-p 00048000 09:00 3417626                    /usr/lib/x86_64-linux-gnu/libmp3lame.so.0.0.0                                                          
7f77ea305000-7f77ea336000 rw-p 00000000 00:00 0                                                                                                                                 
7f77ea336000-7f77ea356000 r-xp 00000000 09:00 3408588                    /usr/lib/x86_64-linux-gnu/libopenjpeg-2.1.3.0.so                                                       
7f77ea356000-7f77ea555000 ---p 00020000 09:00 3408588                    /usr/lib/x86_64-linux-gnu/libopenjpeg-2.1.3.0.so                                                       
7f77ea555000-7f77ea557000 rw-p 0001f000 09:00 3408588                    /usr/lib/x86_64-linux-gnu/libopenjpeg-2.1.3.0.so                                                       
7f77ea557000-7f77ea598000 r-xp 00000000 09:00 3284502                    /usr/lib/libopus.so.0.0.0                                                                              
7f77ea598000-7f77ea797000 ---p 00041000 09:00 3284502                    /usr/lib/libopus.so.0.0.0                                                                              
7f77ea797000-7f77ea798000 rw-p 00040000 09:00 3284502                    /usr/lib/libopus.so.0.0.0                                                                              
7f77ea798000-7f77ea861000 r-xp 00000000 09:00 3447571                    /usr/lib/x86_64-linux-gnu/libschroedinger-1.0.so.0.11.0                                                
7f77ea861000-7f77eaa60000 ---p 000c9000 09:00 3447571                    /usr/lib/x86_64-linux-gnu/libschroedinger-1.0.so.0.11.0                                                
7f77eaa60000-7f77eaa62000 r--p 000c8000 09:00 3447571                    /usr/lib/x86_64-linux-gnu/libschroedinger-1.0.so.0.11.0                                                
7f77eaa62000-7f77eaa64000 rw-p 000ca000 09:00 3447571                    /usr/lib/x86_64-linux-gnu/libschroedinger-1.0.so.0.11.0                                                
7f77eaa64000-7f77eaa65000 rw-p 00000000 00:00 0                                                                                                                                 
7f77eaa65000-7f77eaa7c000 r-xp 00000000 09:00 3409006                    /usr/lib/x86_64-linux-gnu/libspeex.so.1.5.0                                                            
7f77eaa7c000-7f77eac7c000 ---p 00017000 09:00 3409006                    /usr/lib/x86_64-linux-gnu/libspeex.so.1.5.0                                                            
7f77eac7c000-7f77eac7d000 rw-p 00017000 09:00 3409006                    /usr/lib/x86_64-linux-gnu/libspeex.so.1.5.0                                                            
7f77eac7d000-7f77eac98000 r-xp 00000000 09:00 3457069                    /usr/lib/x86_64-linux-gnu/libtheoradec.so.1.1.4                                                        
7f77eac98000-7f77eae97000 ---p 0001b000 09:00 3457069                    /usr/lib/x86_64-linux-gnu/libtheoradec.so.1.1.4                                                        
7f77eae97000-7f77eae98000 r--p 0001a000 09:00 3457069                    /usr/lib/x86_64-linux-gnu/libtheoradec.so.1.1.4                                                        
7f77eae98000-7f77eae99000 rw-p 0001b000 09:00 3457069                    /usr/lib/x86_64-linux-gnu/libtheoradec.so.1.1.4                                                        
7f77eae99000-7f77eaed8000 r-xp 00000000 09:00 3457418                    /usr/lib/x86_64-linux-gnu/libtheoraenc.so.1.1.2                                                        
7f77eaed8000-7f77eb0d8000 ---p 0003f000 09:00 3457418                    /usr/lib/x86_64-linux-gnu/libtheoraenc.so.1.1.2                                                        
7f77eb0d8000-7f77eb0d9000 r--p 0003f000 09:00 3457418                    /usr/lib/x86_64-linux-gnu/libtheoraenc.so.1.1.2                                                        
7f77eb0d9000-7f77eb0da000 rw-p 00040000 09:00 3457418                    /usr/lib/x86_64-linux-gnu/libtheoraenc.so.1.1.2                                                        
7f77eb0da000-7f77eb106000 r-xp 00000000 09:00 3420245                    /usr/lib/x86_64-linux-gnu/libvorbis.so.0.4.5                                                           
7f77eb106000-7f77eb305000 ---p 0002c000 09:00 3420245                    /usr/lib/x86_64-linux-gnu/libvorbis.so.0.4.5                                                           
7f77eb305000-7f77eb306000 r--p 0002b000 09:00 3420245                    /usr/lib/x86_64-linux-gnu/libvorbis.so.0.4.5                                                           
7f77eb306000-7f77eb307000 rw-p 0002c000 09:00 3420245                    /usr/lib/x86_64-linux-gnu/libvorbis.so.0.4.5                                                           
7f77eb307000-7f77eb5ba000 r-xp 00000000 09:00 3420243                    /usr/lib/x86_64-linux-gnu/libvorbisenc.so.2.0.8                                                        
7f77eb5ba000-7f77eb7b9000 ---p 002b3000 09:00 3420243                    /usr/lib/x86_64-linux-gnu/libvorbisenc.so.2.0.8                                                        
7f77eb7b9000-7f77eb7d5000 r--p 002b2000 09:00 3420243                    /usr/lib/x86_64-linux-gnu/libvorbisenc.so.2.0.8                                                        
7f77eb7d5000-7f77eb7d6000 rw-p 002ce000 09:00 3420243                    /usr/lib/x86_64-linux-gnu/libvorbisenc.so.2.0.8                                                        
7f77eb7d6000-7f77eb8ea000 r-xp 00000000 09:00 3418028                    /usr/lib/x86_64-linux-gnu/libx264.so.129                                                               
7f77eb8ea000-7f77ebaea000 ---p 00114000 09:00 3418028                    /usr/lib/x86_64-linux-gnu/libx264.so.129                                                               
7f77ebaea000-7f77ebaec000 r--p 00114000 09:00 3418028                    /usr/lib/x86_64-linux-gnu/libx264.so.129                                                               
7f77ebaec000-7f77ebaed000 rw-p 00116000 09:00 3418028                    /usr/lib/x86_64-linux-gnu/libx264.so.129                                                               
7f77ebaed000-7f77ebb68000 rw-p 00000000 00:00 0                                                                                                                                 
7f77ebb68000-7f77ebc2b000 r-xp 00000000 09:00 3410314                    /usr/lib/x86_64-linux-gnu/libxvidcore.so.4.3                                                           
7f77ebc2b000-7f77ebe2b000 ---p 000c3000 09:00 3410314                    /usr/lib/x86_64-linux-gnu/libxvidcore.so.4.3                                                           
7f77ebe2b000-7f77ebe2c000 r--p 000c3000 09:00 3410314                    /usr/lib/x86_64-linux-gnu/libxvidcore.so.4.3                                                           
7f77ebe2c000-7f77ebe36000 rw-p 000c4000 09:00 3410314                    /usr/lib/x86_64-linux-gnu/libxvidcore.so.4.3                                                           
7f77ebe36000-7f77ebe9f000 rw-p 00000000 00:00 0                                                                                                                                 
7f77ebe9f000-7f77ec522000 r-xp 00000000 09:00 3419359                    /usr/lib/x86_64-linux-gnu/libavcodec.so.54.35.0                                                        
7f77ec522000-7f77ec722000 ---p 00683000 09:00 3419359                    /usr/lib/x86_64-linux-gnu/libavcodec.so.54.35.0                                                        
7f77ec722000-7f77ec738000 r--p 00683000 09:00 3419359                    /usr/lib/x86_64-linux-gnu/libavcodec.so.54.35.0                                                        
7f77ec738000-7f77ec751000 rw-p 00699000 09:00 3419359                    /usr/lib/x86_64-linux-gnu/libavcodec.so.54.35.0                                                        
7f77ec751000-7f77eccc7000 rw-p 00000000 00:00 0                                                                                                                                 
7f77eccc7000-7f77ecdd1000 r-xp 00000000 09:00 3416415                    /usr/lib/x86_64-linux-gnu/libx264.so.123                                                               
7f77ecdd1000-7f77ecfd1000 ---p 0010a000 09:00 3416415                    /usr/lib/x86_64-linux-gnu/libx264.so.123                                                               
7f77ecfd1000-7f77ecfd3000 r--p 0010a000 09:00 3416415                    /usr/lib/x86_64-linux-gnu/libx264.so.123                                                               
7f77ecfd3000-7f77ecfd4000 rw-p 0010c000 09:00 3416415                    /usr/lib/x86_64-linux-gnu/libx264.so.123                                                               
7f77ecfd4000-7f77ed04f000 rw-p 00000000 00:00 0                                                                                                                                 
7f77ed08c000-7f77ed097000 r-xp 00000000 09:00 132061                     /usr/lib/python2.7/dist-packages/xpra/x264/codec.so                                                    
7f77ed097000-7f77ed297000 ---p 0000b000 09:00 132061                     /usr/lib/python2.7/dist-packages/xpra/x264/codec.so                                                    
7f77ed297000-7f77ed298000 r--p 0000b000 09:00 132061                     /usr/lib/python2.7/dist-packages/xpra/x264/codec.so                                                    
7f77ed298000-7f77ed299000 rw-p 0000c000 09:00 132061                     /usr/lib/python2.7/dist-packages/xpra/x264/codec.so                                                    
7f77ed299000-7f77ed29a000 rw-p 00000000 00:00 0                                                                                                                                 
7f77ed29a000-7f77ed2b9000 r-xp 00000000 09:00 3416392                    /usr/lib/x86_64-linux-gnu/libavutil.so.52.3.0                                                          
7f77ed2b9000-7f77ed4b8000 ---p 0001f000 09:00 3416392                    /usr/lib/x86_64-linux-gnu/libavutil.so.52.3.0                                                          
7f77ed4b8000-7f77ed4ba000 r--p 0001e000 09:00 3416392                    /usr/lib/x86_64-linux-gnu/libavutil.so.52.3.0                                                          
7f77ed4ba000-7f77ed4bb000 rw-p 00020000 09:00 3416392                    /usr/lib/x86_64-linux-gnu/libavutil.so.52.3.0                                                          
7f77ed4bb000-7f77ed4bf000 rw-p 00000000 00:00 0                                                                                                                                 
7f77ed4bf000-7f77ed506000 r-xp 00000000 09:00 3412041                    /usr/lib/x86_64-linux-gnu/libswscale.so.2.1.1                                                          
7f77ed506000-7f77ed705000 ---p 00047000 09:00 3412041                    /usr/lib/x86_64-linux-gnu/libswscale.so.2.1.1                                                          
7f77ed705000-7f77ed707000 r--p 00046000 09:00 3412041                    /usr/lib/x86_64-linux-gnu/libswscale.so.2.1.1                                                          
7f77ed707000-7f77ed708000 rw-p 00048000 09:00 3412041                    /usr/lib/x86_64-linux-gnu/libswscale.so.2.1.1                                                          
7f77ed708000-7f77ed7a4000 r-xp 00000000 09:00 3415607                    /usr/lib/x86_64-linux-gnu/libvpx.so.1.1.0                                                              
7f77ed7a4000-7f77ed9a3000 ---p 0009c000 09:00 3415607                    /usr/lib/x86_64-linux-gnu/libvpx.so.1.1.0                                                              
7f77ed9a3000-7f77ed9a5000 rw-p 0009b000 09:00 3415607                    /usr/lib/x86_64-linux-gnu/libvpx.so.1.1.0                                                              
7f77ed9a5000-7f77ed9a7000 rw-p 00000000 00:00 0                                                                                                                                 
7f77ed9a7000-7f77ed9af000 r-xp 00000000 09:00 132167                     /usr/lib/python2.7/dist-packages/xpra/vpx/codec.so                                                     
7f77ed9af000-7f77edbaf000 ---p 00008000 09:00 132167                     /usr/lib/python2.7/dist-packages/xpra/vpx/codec.so                                                     
7f77edbaf000-7f77edbb0000 r--p 00008000 09:00 132167                     /usr/lib/python2.7/dist-packages/xpra/vpx/codec.so                                                     
7f77edbb0000-7f77edbb1000 rw-p 00009000 09:00 132167                     /usr/lib/python2.7/dist-packages/xpra/vpx/codec.so                                                     
7f77edbb1000-7f77edbb2000 rw-p 00000000 00:00 0                                                                                                                                 
7f77edbb2000-7f77edbec000 r-xp 00000000 09:00 3423476                    /usr/lib/x86_64-linux-gnu/libjpeg.so.8.4.0                                                             
7f77edbec000-7f77eddeb000 ---p 0003a000 09:00 3423476                    /usr/lib/x86_64-linux-gnu/libjpeg.so.8.4.0                                                             
7f77eddeb000-7f77eddec000 rw-p 00039000 09:00 3423476                    /usr/lib/x86_64-linux-gnu/libjpeg.so.8.4.0                                                             
7f77ede29000-7f77ede66000 r-xp 00000000 09:00 3934813                    /usr/lib/python2.7/dist-packages/PIL/_imaging.so                                                       
7f77ede66000-7f77ee066000 ---p 0003d000 09:00 3934813                    /usr/lib/python2.7/dist-packages/PIL/_imaging.so                                                       
7f77ee066000-7f77ee06b000 rw-p 0003d000 09:00 3934813                    /usr/lib/python2.7/dist-packages/PIL/_imaging.so                                                       
7f77ee06b000-7f77ee091000 r-xp 00000000 09:00 3939691                    /usr/lib/python2.7/lib-dynload/_ctypes.so                                                              
7f77ee091000-7f77ee290000 ---p 00026000 09:00 3939691                    /usr/lib/python2.7/lib-dynload/_ctypes.so                                                              
7f77ee290000-7f77ee291000 r--p 00025000 09:00 3939691                    /usr/lib/python2.7/lib-dynload/_ctypes.so                                                              
7f77ee291000-7f77ee295000 rw-p 00026000 09:00 3939691                    /usr/lib/python2.7/lib-dynload/_ctypes.so                                                              
7f77ee295000-7f77ee2d7000 rw-p 00000000 00:00 0                                                                                                                                 
7f77ee2d7000-7f77ee2f8000 r-xp 00000000 09:00 3933185                    /usr/lib/python2.7/dist-packages/gobject/_gobject.so                                                   
7f77ee2f8000-7f77ee4f7000 ---p 00021000 09:00 3933185                    /usr/lib/python2.7/dist-packages/gobject/_gobject.so                                                   
7f77ee4f7000-7f77ee4fb000 rw-p 00020000 09:00 3933185                    /usr/lib/python2.7/dist-packages/gobject/_gobject.so                                                   
7f77ee4fb000-7f77ee537000 r-xp 00000000 09:00 4456471                    /lib/x86_64-linux-gnu/libpcre.so.3.13.1                                                                
7f77ee537000-7f77ee737000 ---p 0003c000 09:00 4456471                    /lib/x86_64-linux-gnu/libpcre.so.3.13.1                                                                
7f77ee737000-7f77ee738000 rw-p 0003c000 09:00 4456471                    /lib/x86_64-linux-gnu/libpcre.so.3.13.1                                                                
7f77ee738000-7f77ee744000 r-xp 00000000 09:00 3444524                    /usr/lib/x86_64-linux-gnu/libffi.so.5.0.10                                                             
7f77ee744000-7f77ee944000 ---p 0000c000 09:00 3444524                    /usr/lib/x86_64-linux-gnu/libffi.so.5.0.10                                                             
7f77ee944000-7f77ee945000 rw-p 0000c000 09:00 3444524                    /usr/lib/x86_64-linux-gnu/libffi.so.5.0.10                                                             
7f77ee945000-7f77ee949000 r-xp 00000000 09:00 3323344                    /usr/lib/libpyglib-2.0-python2.7.so.0.0.0                                                              
7f77ee949000-7f77eeb48000 ---p 00004000 09:00 3323344                    /usr/lib/libpyglib-2.0-python2.7.so.0.0.0                                                              
7f77eeb48000-7f77eeb49000 rw-p 00003000 09:00 3323344                    /usr/lib/libpyglib-2.0-python2.7.so.0.0.0                                                              
7f77eeb49000-7f77eec3f000 r-xp 00000000 09:00 4457736                    /lib/x86_64-linux-gnu/libglib-2.0.so.0.3200.4                                                          
7f77eec3f000-7f77eee3e000 ---p 000f6000 09:00 4457736                    /lib/x86_64-linux-gnu/libglib-2.0.so.0.3200.4                                                          
7f77eee3e000-7f77eee3f000 r--p 000f5000 09:00 4457736                    /lib/x86_64-linux-gnu/libglib-2.0.so.0.3200.4                                                          
7f77eee3f000-7f77eee40000 rw-p 000f6000 09:00 4457736                    /lib/x86_64-linux-gnu/libglib-2.0.so.0.3200.4                                                          
7f77eee40000-7f77eee41000 rw-p 00000000 00:00 0                                                                                                                                 
7f77eee41000-7f77eee48000 r-xp 00000000 09:00 4475021                    /lib/x86_64-linux-gnu/librt-2.13.so                                                                    
7f77eee48000-7f77ef047000 ---p 00007000 09:00 4475021                    /lib/x86_64-linux-gnu/librt-2.13.so                                                                    
7f77ef047000-7f77ef048000 r--p 00006000 09:00 4475021                    /lib/x86_64-linux-gnu/librt-2.13.so                                                                    
7f77ef048000-7f77ef049000 rw-p 00007000 09:00 4475021                    /lib/x86_64-linux-gnu/librt-2.13.so                                                                    
7f77ef049000-7f77ef04a000 r-xp 00000000 09:00 3412901                    /usr/lib/x86_64-linux-gnu/libgthread-2.0.so.0.3200.4                                                   
7f77ef04a000-7f77ef249000 ---p 00001000 09:00 3412901                    /usr/lib/x86_64-linux-gnu/libgthread-2.0.so.0.3200.4                                                   
7f77ef249000-7f77ef24a000 r--p 00000000 09:00 3412901                    /usr/lib/x86_64-linux-gnu/libgthread-2.0.so.0.3200.4                                                   
7f77ef24a000-7f77ef24b000 rw-p 00001000 09:00 3412901                    /usr/lib/x86_64-linux-gnu/libgthread-2.0.so.0.3200.4                                                   
7f77ef24b000-7f77ef29a000 r-xp 00000000 09:00 3412903                    /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0.3200.4                                                   
7f77ef29a000-7f77ef49a000 ---p 0004f000 09:00 3412903                    /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0.3200.4                                                   
7f77ef49a000-7f77ef49b000 r--p 0004f000 09:00 3412903                    /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0.3200.4                                                   
7f77ef49b000-7f77ef49c000 rw-p 00050000 09:00 3412903                    /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0.3200.4                                                   
7f77ef4d9000-7f77ef4e9000 r-xp 00000000 09:00 3933186                    /usr/lib/python2.7/dist-packages/glib/_glib.so                                                         
7f77ef4e9000-7f77ef6e9000 ---p 00010000 09:00 3933186                    /usr/lib/python2.7/dist-packages/glib/_glib.so                                                         
7f77ef6e9000-7f77ef6ec000 rw-p 00010000 09:00 3933186                    /usr/lib/python2.7/dist-packages/glib/_glib.so                                                         
7f77ef6ec000-7f77ef82f000 rw-p 00000000 00:00 0                                                                                                                                 
7f77ef82f000-7f77ef9e5000 r-xp 00000000 09:00 3408633                    /usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0                                                           
7f77ef9e5000-7f77efbe5000 ---p 001b6000 09:00 3408633                    /usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0                                                           
7f77efbe5000-7f77efc00000 r--p 001b6000 09:00 3408633                    /usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0                                                           
7f77efc00000-7f77efc0f000 rw-p 001d1000 09:00 3408633                    /usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0                                                           
7f77efc0f000-7f77efc13000 rw-p 00000000 00:00 0                                                                                                                                 
7f77efc13000-7f77efc67000 r-xp 00000000 09:00 3409218                    /usr/lib/x86_64-linux-gnu/libssl.so.1.0.0                                                              
7f77efc67000-7f77efe67000 ---p 00054000 09:00 3409218                    /usr/lib/x86_64-linux-gnu/libssl.so.1.0.0                                                              
7f77efe67000-7f77efe6a000 r--p 00054000 09:00 3409218                    /usr/lib/x86_64-linux-gnu/libssl.so.1.0.0                                                              
7f77efe6a000-7f77efe71000 rw-p 00057000 09:00 3409218                    /usr/lib/x86_64-linux-gnu/libssl.so.1.0.0                                                              
7f77efeae000-7f77efeb6000 r-xp 00000000 09:00 3936597                    /usr/lib/python2.7/lib-dynload/_ssl.so
7f77efeb6000-7f77f00b5000 ---p 00008000 09:00 3936597                    /usr/lib/python2.7/lib-dynload/_ssl.so
7f77f00b5000-7f77f00b6000 r--p 00007000 09:00 3936597                    /usr/lib/python2.7/lib-dynload/_ssl.so
7f77f00b6000-7f77f00b7000 rw-p 00008000 09:00 3936597                    /usr/lib/python2.7/lib-dynload/_ssl.so
7f77f00b7000-7f77f07c1000 r--p 00000000 09:00 3292602                    /usr/lib/locale/locale-archive
7f77f07c1000-7f77f07c4000 rw-p 00000000 00:00 0 
7f77f07c4000-7f77f07d9000 r-xp 00000000 09:00 4456499                    /lib/x86_64-linux-gnu/libgcc_s.so.1
7f77f07d9000-7f77f09d9000 ---p 00015000 09:00 4456499                    /lib/x86_64-linux-gnu/libgcc_s.so.1
7f77f09d9000-7f77f09da000 rw-p 00015000 09:00 4456499                    /lib/x86_64-linux-gnu/libgcc_s.so.1
7f77f09da000-7f77f0b5a000 r-xp 00000000 09:00 4456586                    /lib/x86_64-linux-gnu/libc-2.13.so
7f77f0b5a000-7f77f0d5a000 ---p 00180000 09:00 4456586                    /lib/x86_64-linux-gnu/libc-2.13.so
7f77f0d5a000-7f77f0d5e000 r--p 00180000 09:00 4456586                    /lib/x86_64-linux-gnu/libc-2.13.so
7f77f0d5e000-7f77f0d5f000 rw-p 00184000 09:00 4456586                    /lib/x86_64-linux-gnu/libc-2.13.so
7f77f0d5f000-7f77f0d64000 rw-p 00000000 00:00 0 
7f77f0d64000-7f77f0de5000 r-xp 00000000 09:00 4474995                    /lib/x86_64-linux-gnu/libm-2.13.so
7f77f0de5000-7f77f0fe4000 ---p 00081000 09:00 4474995                    /lib/x86_64-linux-gnu/libm-2.13.so
7f77f0fe4000-7f77f0fe5000 r--p 00080000 09:00 4474995                    /lib/x86_64-linux-gnu/libm-2.13.so
7f77f0fe5000-7f77f0fe6000 rw-p 00081000 09:00 4474995                    /lib/x86_64-linux-gnu/libm-2.13.so
7f77f0fe6000-7f77f0ffc000 r-xp 00000000 09:00 4457230                    /lib/x86_64-linux-gnu/libz.so.1.2.7
7f77f0ffc000-7f77f11fb000 ---p 00016000 09:00 4457230                    /lib/x86_64-linux-gnu/libz.so.1.2.7
7f77f11fb000-7f77f11fc000 r--p 00015000 09:00 4457230                    /lib/x86_64-linux-gnu/libz.so.1.2.7
7f77f11fc000-7f77f11fd000 rw-p 00016000 09:00 4457230                    /lib/x86_64-linux-gnu/libz.so.1.2.7
7f77f11fd000-7f77f11ff000 r-xp 00000000 09:00 4475023                    /lib/x86_64-linux-gnu/libutil-2.13.so
7f77f11ff000-7f77f13fe000 ---p 00002000 09:00 4475023                    /lib/x86_64-linux-gnu/libutil-2.13.so
7f77f13fe000-7f77f13ff000 r--p 00001000 09:00 4475023                    /lib/x86_64-linux-gnu/libutil-2.13.so
7f77f13ff000-7f77f1400000 rw-p 00002000 09:00 4475023                    /lib/x86_64-linux-gnu/libutil-2.13.so
7f77f1400000-7f77f1402000 r-xp 00000000 09:00 4475009                    /lib/x86_64-linux-gnu/libdl-2.13.so
7f77f1402000-7f77f1602000 ---p 00002000 09:00 4475009                    /lib/x86_64-linux-gnu/libdl-2.13.so
7f77f1602000-7f77f1603000 r--p 00002000 09:00 4475009                    /lib/x86_64-linux-gnu/libdl-2.13.so
7f77f1603000-7f77f1604000 rw-p 00003000 09:00 4475009                    /lib/x86_64-linux-gnu/libdl-2.13.so
7f77f1604000-7f77f161b000 r-xp 00000000 09:00 4475017                    /lib/x86_64-linux-gnu/libpthread-2.13.so
7f77f161b000-7f77f181a000 ---p 00017000 09:00 4475017                    /lib/x86_64-linux-gnu/libpthread-2.13.so
7f77f181a000-7f77f181b000 r--p 00016000 09:00 4475017                    /lib/x86_64-linux-gnu/libpthread-2.13.so
7f77f181b000-7f77f181c000 rw-p 00017000 09:00 4475017                    /lib/x86_64-linux-gnu/libpthread-2.13.so
7f77f181c000-7f77f1820000 rw-p 00000000 00:00 0 
7f77f1820000-7f77f1840000 r-xp 00000000 09:00 4475025                    /lib/x86_64-linux-gnu/ld-2.13.so
7f77f1846000-7f77f194a000 rw-p 00000000 00:00 0 
7f77f195c000-7f77f197c000 r--s 00000000 09:00 3539374                    /usr/share/mime/mime.cache
7f77f197c000-7f77f1a00000 rw-p 00000000 00:00 0 
7f77f1a12000-7f77f1a32000 r--s 00000000 09:00 3539374                    /usr/share/mime/mime.cache
7f77f1a32000-7f77f1a33000 r--s 00000000 fd:00 2361229                    /home/hawk/.local/share/mime/mime.cache
7f77f1a34000-7f77f1a3b000 r--s 00000000 09:00 3433057                    /usr/lib/x86_64-linux-gnu/gconv/gconv-modules.cache
7f77f1a3b000-7f77f1a3c000 rw-p 00000000 00:00 0 
7f77f1a3c000-7f77f1a3d000 rwxp 00000000 00:00 0 
7f77f1a3d000-7f77f1a3f000 rw-p 00000000 00:00 0 
7f77f1a3f000-7f77f1a40000 r--p 0001f000 09:00 4475025                    /lib/x86_64-linux-gnu/ld-2.13.so
7f77f1a40000-7f77f1a41000 rw-p 00020000 09:00 4475025                    /lib/x86_64-linux-gnu/ld-2.13.so
7f77f1a41000-7f77f1a42000 rw-p 00000000 00:00 0 
7fff4916b000-7fff4918c000 rw-p 00000000 00:00 0                          [stack]
7fff491ff000-7fff49200000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Aborted

comment:2 Changed 7 years ago by onlyjob

It is an issue (regression?) with libav-9.1.
I just found that libav-0.8.5 works...

comment:3 Changed 7 years ago by Antoine Martin

Owner: set to Antoine Martin
Status: newaccepted

It does sound likely, there is nothing in 0.8.1 related to x264 directly:

  • r2628, r2631 are in the UI
  • r2629, r2636 are packaging related
  • r2630 is sound
  • r2632 and r2638 revert 0.8 changes
  • r2633 is x264 auto-refresh related (only makes it fire more)
  • r2634 disabled tray forwarding in defaults
  • r2635 is the pulseaudio upgrade fix

But, if this was libav related then it should affect all versions that link against it.. Will try to test.
This is on Debian sid amd64 right?

comment:4 in reply to:  3 Changed 7 years ago by onlyjob

Yes, this is nothing related to 0.8.1 specifically.
To double-check I re-built 0.7.8 with new libav-9.1 ang experience the similar crash.

Yes, Debian "unstable" but libav-9.1 is only available form "experimental" at this time while we're in freeze.

I filed bug

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=699722

hopefully we will get some feedback.

comment:5 Changed 7 years ago by Antoine Martin

Resolution: invalid
Status: acceptedclosed

Confirmed as a libav bug, I was seeing memory allocation these errors on mac osx:

Non-aligned pointer being freed

as per non-aligned pointer being freed on mac

Downgrading to libav 0.8.5 fixes the issue, I've added a warning to the osx build page: https://winswitch.org/trac/changeset/5141

Not an xpra bug, closing.

comment:6 Changed 7 years ago by onlyjob

From http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=699722#27

From: Reinhard Tartler <siretart@…>
To: Dmitry Smirnov <onlyjob@…>, 699722@…
Cc: Anton Khirnov <anton@…>
Subject: Re: Bug#699722: src:libav: x264 decoding crashes
Date: Tue, 5 Feb 2013 07:51:47 +0100

On Tue, Feb 5, 2013 at 2:10 AM, Dmitry Smirnov <onlyjob@…> wrote:

This is happening only when I build xpra with the following packages from experimental:

libavcodec-dev libavutil-dev libswscale-dev libswscale2

Merely upgrading libswscale2 doesn't break x264 encoding.

OK, I've checked with libav upstream, but I'm a bit in hurry right
now. Please have a look at the irc chatlog. In short, xpra is buggy,
and Anton (email in CC) is even proposing a patch to fix xpra:

07:20 <siretart> elenril: can you make any sense out of
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=699722#17 ? -

Thread 2, frame #6 indicates that

avcodec_get_frame_defaults() frees (via av_freep) a pointer that it

shouldn't free.

07:22 <siretart> elenril: submitter claims that downgrading to 0.8.5
avoids the crash. now I wonder if the fault is on

our, or on the xpra side

07:26 <elenril> it's probably old x264 version with a new libav version
07:26 <elenril> x264 used to abuse our api, that particular way of
abuse got broken
07:30 <siretart> elenril: on that case, we probably should require a
new-enough x264 version in configure. or at least warn about it. what
do you think?
07:31 <siretart> the package in question is running libx264 0.129.2238
07:31 <siretart> is this too old?
07:31 <siretart> elenril:
07:33 <siretart> build 129 is the newest version available, so I'm not
entirely convinced by your theory
07:34 <elenril> see 6e68ab73908f339cdd91c40943fef46fd1f832fa in x264
07:35 <elenril> and i don't see how _us_ requiring a specific libx264
solves anything
07:35 <elenril> the problem is x264 calling libav
07:35 <elenril> not libav calling x264
07:35 <elenril> and that package appears to contain embedded x264
07:35 <elenril> isn't that evil?
07:39 <elenril> hmm...no
07:39 <elenril> but it abuses our api in exactly the same way
07:40 <elenril> it has an uninitialized AVFrame on stack
07:40 <siretart> looking
07:42 <siretart> elenril: hm, the submitter does use a libx264 that
has this patch included
07:43 <siretart> elenril: or do you imply that even with
6e68ab73908f339cdd91c40943fef46fd1f832fa, libx264 is still bugged?
07:43 <elenril> see the last three lines i said
07:44 <siretart> ok, what does "it has an uninitialized AVFrame on
stack" now mean? is the application responsible for having it properly
allocated? don't we have

an allocation API that DTRT?

07:45 <elenril> http://paste.debian.net/231849/
07:45 <elenril> here's a fixed version
07:46 <siretart> fixed version of what?
07:46 <elenril> of the broken file in xpra
07:46 <elenril> let me make a patch
07:48 <elenril> http://paste.debian.net/231850/

Cheers,

--
regards,

Reinhard

comment:7 Changed 7 years ago by onlyjob

From http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=699722#32

From: anton@…
To: 699722@…
Subject: Re: Bug#699722: src:libav: x264 decoding crashes
Date: Tue, 05 Feb 2013 08:03:56 +0100

[Message part 1 (text/plain, inline)]

Hi,
a Libav developer here.

This is really a bug/abuse of Libav API in xpra -- the file x264lib.c uses an
uninitialized AVFrame on stack. This has always been forbidden by Libav API, but
used to work until some changes a few months ago. Functions
avcodec_alloc_frame() and avcodec_free_frame() (in release 9 only, av_free() in
0.8 and earlier) must be used to allocate and free an AVFrame.

Attached is a patch that fixes it.

--
Anton Khirnov

Changed 7 years ago by onlyjob

Attachment: xpra-fix-new-libav.patch added

comment:8 Changed 7 years ago by onlyjob

comment:9 Changed 7 years ago by onlyjob

the attached patch is for 0.7.8

comment:10 Changed 7 years ago by Antoine Martin

awesome - will fix the offsets/changes and apply

comment:11 Changed 7 years ago by Antoine Martin

applied in r2661, re-testing osx build now

comment:12 Changed 7 years ago by Antoine Martin

FYI: avcodec_free_frame does not exist in the Debian Squeeze version of libav... PITA, so while we have fixed "experimental", we have also broken something else - and likely other distros too. Not ideal..

comment:13 Changed 7 years ago by onlyjob

But it work with libav-8.5 right?

Then just take it's as notice for dropping support for old systems. :)

Xpra in Squeeze is available from official backports (ver. 0.3.11) which by the way doesn't have x264 enabled at all (I'm talking about official Debian Xpra package). x264 never worked well enough until 0.7.x at least not in Squeeze and Lucid. Perhaps it would be better to stop wasting time and effort for compatibility with those old systems and focus on development priorities?

comment:14 Changed 7 years ago by Antoine Martin

With older systems, one can use av_free instead:

/**
 * Allocates an AVFrame and sets its fields to default values.  The resulting
 * struct can be deallocated by simply calling av_free().
 *
 * @return An AVFrame filled with default values or NULL on failure.
 * @see avcodec_get_frame_defaults
 */
AVFrame *avcodec_alloc_frame(void);

Just means I need a patch for squeeze builds :(

As for "official backports" - that thing is scary/buggy/insecure, anyone running v0.3.x should be aware of that. At least the builds I provide aren't.
I would be glad to stop making them, but Debian isn't being diligent there.

comment:15 Changed 7 years ago by onlyjob

No, within Debian release cycle we've made almost impossible with squeezing all the updates that we could get through. The alternative could be to request removal of Xpra from Wheezy and maintain it through backports. That's an option.

0.3.x was good enough for its time and just because we have a newer version now it doesn't mean we need to wipe old release that was proven to be OK for release.

You're releasing very fast to catch up with you and not without bumps like 0.8.0 which is great but couldn't be released to Debian as is without week of work and testing. Stability means that time proves how good release is going to be. Sometimes too fresh is not better than old with know caveats.
I was very diligent to improve Xpra as much as possible for Debian. I doubt it could be done much better than I did...

comment:16 Changed 7 years ago by Antoine Martin

Like I said, an "OK for release" would be a "NOT OK for having installed" if people were aware of just how buggy and crash prone it is (and I suspect there may well be a few security issues in there too - I can't remember if the actual 0.3.x version shipped has them or not)

TBH, I do not really care/have time to consider Debian freezes and policies (or other distros for that matter), especially when it gets in the way of ensuring users have a reliable version of the software available - which seems to be the problem here.

BTW, I am not criticising you or even asking for 0.8 to be packaged for any specific version of Debian, all I am saying is that no-one should be running 0.3.x right now. I very much regret making this 0.3.x stable branch since some never moved on when it got abandoned - that was not the point. Choosing a version and a default encoding to use is a valid question, sticking with 0.3.x because of "policy" is not (or maybe the "policy" is wrong - not for me to decide)

If you want to continue this discussion, let's use email or the mailing list. This bug is now closed: I am in the process of testing 0.8.2 beta builds for all releases with this patch: r2673 (ok so far)

comment:17 Changed 7 years ago by Antoine Martin

FWIW: this caused many older distros to completely break - despite the "old-libav.patch", simply using av_free is not enough, see #271

Note: See TracTickets for help on using tickets.